Validate Edge Cluster Update Spec

Validate Edge Cluster Update Spec
Perform validation of the EdgeClusterUpdateSpec specification

Perform validation of the EdgeClusterUpdateSpec specification

Request
URI
POST
https://{api_host}/v1/edge-clusters/{id}/validations
COPY
Path Parameters
string
id
Required  

NSX Edge cluster id


Request Body
EdgeClusterUpdateSpec of type(s) application/json
Required  

Show optional properties

{
    "operation": "One among: EXPANSION, SHRINKAGE"
}
{
    "edgeClusterExpansionSpec": {
        "edgeNodeRootPassword": "string",
        "edgeNodeAdminPassword": "string",
        "edgeNodeAuditPassword": "string",
        "skipTepRoutabilityCheck": false,
        "edgeNodeSpecs": [
            {
                "edgeNodeName": "string",
                "managementIP": "string",
                "managementGateway": "string",
                "vmManagementPortgroupVlan": 0,
                "vmManagementPortgroupName": "string",
                "edgeTepGateway": "string",
                "edgeTep1IP": "string",
                "edgeTep2IP": "string",
                "edgeTepIpAddressPool": {
                    "name": "string",
                    "nsxId": "string"
                },
                "edgeTepVlan": 0,
                "clusterId": "string",
                "interRackCluster": false,
                "uplinkNetwork": [
                    {
                        "uplinkVlan": 0,
                        "uplinkInterfaceIP": "string",
                        "peerIP": "string",
                        "asnPeer": 0,
                        "bgpPeerPassword": "string",
                        "bgpPeers": [
                            {
                                "ip": "string",
                                "asn": 0,
                                "password": "string"
                            }
                        ]
                    }
                ],
                "firstNsxVdsUplink": "One among: uplink1, uplink2, uplink3, uplink4, uplink5, uplink6, uplink7, uplink8",
                "secondNsxVdsUplink": "One among: uplink1, uplink2, uplink3, uplink4, uplink5, uplink6, uplink7, uplink8"
            }
        ],
        "newIpAddressPoolSpecs": [
            {
                "name": "string",
                "description": "string",
                "ignoreUnavailableNsxtCluster": false,
                "subnets": [
                    {
                        "ipAddressPoolRanges": [
                            {
                                "start": "string",
                                "end": "string"
                            }
                        ],
                        "cidr": "string",
                        "gateway": "string"
                    }
                ]
            }
        ],
        "additionalTier1Names": [
            "string"
        ],
        "tier1Unhosted": false
    },
    "edgeClusterShrinkageSpec": {
        "edgeNodeIds": [
            "string"
        ]
    },
    "operation": "One among: EXPANSION, SHRINKAGE"
}
object
edgeClusterExpansionSpec
Optional

This specification contains the parameters required to expand a NSX edge cluster.

object
edgeClusterShrinkageSpec
Optional

This specification contains the parameters required to shrink a NSX edge cluster.

string As (EXPANSION|SHRINKAGE)
operation
Required  
Constraints: minLength: 1

Edge cluster operation Type.

Responses
202

Accepted

Returns Validation of type(s) application/json
{
    "id": "string",
    "description": "string",
    "executionStatus": "COMPLETED",
    "resultStatus": "SUCCEEDED",
    "validationChecks": [
        {
            "description": "string",
            "severity": "One among: WARNING, ERROR, INFO",
            "resultStatus": "One among: IN_PROGRESS, SUCCEEDED, FAILED, SKIPPED, CANCELLED, CANCELLATION_IN_PROGRESS, PENDING",
            "acknowledge": false,
            "errorResponse": {
                "errorCode": "string",
                "errorType": "string",
                "arguments": [
                    "string"
                ],
                "context": {
                    "context": "string"
                },
                "notifications": [
                    {
                        "severity": "string",
                        "message": "string",
                        "remediations": [
                            {
                                "message": "string",
                                "link": "string"
                            }
                        ],
                        "impactMessage": "string"
                    }
                ],
                "message": "string",
                "remediationMessage": "string",
                "causes": [
                    {
                        "type": "string",
                        "message": "string"
                    }
                ],
                "nestedErrors": [
                    {
                        "errorCode": "string",
                        "errorType": "string",
                        "arguments": [
                            "string"
                        ],
                        "context": {
                            "context": "string"
                        },
                        "notifications": [
                            {
                                "severity": "string",
                                "message": "string",
                                "remediations": [
                                    {
                                        "message": "string",
                                        "link": "string"
                                    }
                                ],
                                "impactMessage": "string"
                            }
                        ],
                        "message": "string",
                        "remediationMessage": "string",
                        "causes": [
                            {
                                "type": "string",
                                "message": "string"
                            }
                        ],
                        "nestedErrors": [
                            {
                                "errorCode": "string",
                                "errorType": "string",
                                "arguments": [
                                    "string"
                                ],
                                "context": {
                                    "context": "string"
                                },
                                "notifications": [
                                    {
                                        "severity": "string",
                                        "message": "string",
                                        "remediations": [
                                            {
                                                "message": "string",
                                                "link": "string"
                                            }
                                        ],
                                        "impactMessage": "string"
                                    }
                                ],
                                "message": "string",
                                "remediationMessage": "string",
                                "causes": [
                                    {
                                        "type": "string",
                                        "message": "string"
                                    }
                                ],
                                "nestedErrors": [
                                    "Error Object"
                                ],
                                "referenceToken": "string",
                                "label": "string",
                                "remediationUrl": "string"
                            }
                        ],
                        "referenceToken": "string",
                        "label": "string",
                        "remediationUrl": "string"
                    }
                ],
                "referenceToken": "string",
                "label": "string",
                "remediationUrl": "string"
            },
            "nestedValidationChecks": [
                {
                    "description": "string",
                    "severity": "One among: WARNING, ERROR, INFO",
                    "resultStatus": "One among: IN_PROGRESS, SUCCEEDED, FAILED, SKIPPED, CANCELLED, CANCELLATION_IN_PROGRESS, PENDING",
                    "acknowledge": false,
                    "errorResponse": {
                        "errorCode": "string",
                        "errorType": "string",
                        "arguments": [
                            "string"
                        ],
                        "context": {
                            "context": "string"
                        },
                        "notifications": [
                            {
                                "severity": "string",
                                "message": "string",
                                "remediations": [
                                    {
                                        "message": "string",
                                        "link": "string"
                                    }
                                ],
                                "impactMessage": "string"
                            }
                        ],
                        "message": "string",
                        "remediationMessage": "string",
                        "causes": [
                            {
                                "type": "string",
                                "message": "string"
                            }
                        ],
                        "nestedErrors": [
                            "Error Object"
                        ],
                        "referenceToken": "string",
                        "label": "string",
                        "remediationUrl": "string"
                    },
                    "nestedValidationChecks": [
                        "ValidationCheck Object"
                    ]
                }
            ]
        }
    ],
    "additionalProperties": {
        "additionalProperties": "string"
    }
}
string
id
Required   Read-Only  

ID of the validation

string
description
Required   Read-Only  
Constraints: minLength: 1

Description of the validation

string
executionStatus
Required   Read-Only  

Execution status of the validation. One among: IN_PROGRESS, FAILED, COMPLETED, UNKNOWN, SKIPPED, CANCELLED, CANCELLATION_IN_PROGRESS

string
resultStatus
Required   Read-Only  

Result status of the validation after it has completed its execution. One among: SUCCEEDED, FAILED, WARNING, UNKNOWN, CANCELLATION_IN_PROGRESS

array of object
validationChecks
Read-Only  

List of one or more validation checks that are performed as part of the validation

object
additionalProperties
Optional

additionalProperties


400

Bad Request

Returns Error of type(s) application/json
"Error Object"
string
errorCode
Read-Only  

The minor error code

string
errorType
Read-Only  

The error type

array of string
arguments
Read-Only  

The arguments used to localize the message, Can be used by scripts to automate the error processing.

object
context
Read-Only  

The error context (e.g. the component where it occurred).

array of object
notifications
Read-Only  

Detailed results of the precheck validation.

string
message
Read-Only  

The localized error message

string
remediationMessage
Optional

The localized remediation error message

array of object
causes
Optional

The underlying cause exceptions.

array of Error
nestedErrors
Optional

The nested errors when the error is a composite one

string
referenceToken
Read-Only  

A reference token correlating the error with the relevant detailed error logs. Should be sent to the service provider when reporting issues.

string
label
Read-Only  

The localized label message

string
remediationUrl
Read-Only  

The URL string for remediation documentation link


500

InternalServerError

Returns Error of type(s) application/json
"Error Object"
string
errorCode
Read-Only  

The minor error code

string
errorType
Read-Only  

The error type

array of string
arguments
Read-Only  

The arguments used to localize the message, Can be used by scripts to automate the error processing.

object
context
Read-Only  

The error context (e.g. the component where it occurred).

array of object
notifications
Read-Only  

Detailed results of the precheck validation.

string
message
Read-Only  

The localized error message

string
remediationMessage
Optional

The localized remediation error message

array of object
causes
Optional

The underlying cause exceptions.

array of Error
nestedErrors
Optional

The nested errors when the error is a composite one

string
referenceToken
Read-Only  

A reference token correlating the error with the relevant detailed error logs. Should be sent to the service provider when reporting issues.

string
label
Read-Only  

The localized label message

string
remediationUrl
Read-Only  

The URL string for remediation documentation link


Code Samples
COPY
                    curl -X POST -H 'Authorization: <value>' -H 'Content-Type: application/json' -d '{"operation":"string"}' https://{api_host}/v1/edge-clusters/{id}/validations